﻿<%@ page language="C#" autoeventwireup="true" codefile="ForbiddenZonesExample.aspx.cs"
    inherits="DockTest" %>

<%@ register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
        .CustomCssClass{background-color: #c9ecff !important;}
    </style>
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
        <asp:scriptmanager id="ScriptManager" runat="server" />
        <telerik:raddocklayout runat="server" id="RadDockLayout1">
            <table>
                <tr>
                    <td>
                        <p>RadDockZone1</p>
                        <telerik:raddockzone runat="server" id="RadDockZone1" orientation="Vertical" minheight="300px"
                            width="204px" HighlightedCssClass="CustomCssClass">
                            <telerik:raddock id="RadDock1" title="RadDock1" runat="server" width="200px" forbiddenzones="RadDockZone3" OnClientDragEnd="dragEndHandler"
                                dockmode="Docked" text="ForbiddenZones are: RadDockZone3" >
                            </telerik:raddock>
                            <telerik:raddock id="RadDock2" title="RadDock2" runat="server" width="200px" forbiddenzones="RadDockZone2" OnClientDragEnd="dragEndHandler"
                                dockmode="Docked" text="ForbiddenZones are: RadDockZone2">
                            </telerik:raddock>
                            <telerik:raddock id="RadDock3" title="RadDock3" runat="server" width="200px" forbiddenzones="RadDockZone2,RadDockZone3" OnClientDragEnd="dragEndHandler"
                                dockmode="Docked" text="ForbiddenZones are: RadDockZone2,RadDockZone3">
                            </telerik:raddock>
                            <telerik:raddock id="RadDock4" title="RadDock4" runat="server" width="200px" dockmode="Docked" OnClientDragEnd="dragEndHandler"
                                text="ForbiddenZones property is not set" >
                            </telerik:raddock>
                        </telerik:raddockzone>
                    </td>
                    <td>
                        <p>RadDockZone2</p>
                        <telerik:raddockzone runat="server" id="RadDockZone2" orientation="Vertical" minheight="300px"
                            width="204px" HighlightedCssClass="CustomCssClass">
                        </telerik:raddockzone>
                    </td>
                    <td>
                        <p>RadDockZone3(forbidden for Dock 1 & 3)</p>
                        <telerik:raddockzone runat="server" id="RadDockZone3" aorientation="Vertical" minheight="300px"
                            width="204px" HighlightedCssClass="CustomCssClass">
                        </telerik:raddockzone>
                    </td>
                </tr>
            </table>
        </telerik:raddocklayout>

        <script type="text/javascript">
        var canDragDock = true;
        
        Telerik.Web.UI.RadDockZone.prototype._oldCanDrop = Telerik.Web.UI.RadDockZone.prototype.canDrop
        Telerik.Web.UI.RadDockZone.prototype.canDrop = function(dragMode, dataType, dock) 
	    {
		     var res = this._oldCanDrop(dragMode, dataType, dock);
		     canDragDock = res;
			 return res;
	    }
	    
        function dragEndHandler(dock, e)
        {
            if(!canDragDock)
            {
                alert("You cannot drop the RadDock in this zone!");
            }
        }
        </script>

    </form>
</body>
</html>
